<?php
require("includes/check_auth_user.php");
require("includes/dbconnect.php");
//include ('includes/function.php');

$keycond = "";
$admin = $_SESSION["admin_" . $dbname];
$zdb = $_SESSION["zdbyear_" . $dbname];
$myyear = $_SESSION[$myyear];
mysqli_select_db($conn, $zdb);
$zroot = $_SESSION["zdbroot"];

//$zroot = $_SESSION["zdbroot"];

$success = false;

$cust = 'accmast';

$ztit = $_SESSION["tit_" . $dbname];
$maindb = 'tabletran';
$file = 'tabletrans.php';
$keyfld = "vouchno";

$series = $_REQUEST["series"];
$rangeFrom = $_REQUEST["rangeFrom"];
$rangeTo = $_REQUEST["rangeTo"];
$searchTerm = $_REQUEST["ssearch"];
$operator = $_REQUEST["soperator"];



$cond = "";
if ($operator == "=") {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vouchdt` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `kotno` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `remark` = '$searchTerm'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `user` = '$searchTerm'";
    }
} else {
    if ($_REQUEST["sfield"] == "1") {
        $cond = "AND `vouchno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "2") {
        $cond = "AND `vouchdt` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "3") {
        $cond = "AND `kotno` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "4") {
        $cond = "AND `remark` LIKE '%$searchTerm%'";
    } else if ($_REQUEST["sfield"] == "5") {
        $cond = "AND `user` LIKE '%$searchTerm%'";
    }
}

$sortcond = "ORDER BY `vouchno`";
if ($_REQUEST["sortBy"] == "1") {
    $sortcond = " ORDER BY `vouchno`";
} else if ($_REQUEST["sortBy"] == "2") {
    $sortcond = " ORDER BY `vouchdt`";
} else if ($_REQUEST["sortBy"] == "3") {
    $sortcond = " ORDER BY `kotno`";
} else if ($_REQUEST["sortBy"] == "4") {
    $sortcond = " ORDER BY `remark`";
} else if ($_REQUEST["sortBy"] == "5") {
    $sortcond = " ORDER BY `user`";
}

$ordcond = "DESC";
if ($_REQUEST["orderAs"] == "desc") {
    $ordcond = " DESC";
} else {
    $ordcond = " ASC";
}


//$query = "SELECT a.vouchno, a.tableno, DATE_FORMAT(`vouchdt`,'%d-%m-%Y') as vouchdt, a.vouchtime, a.user, a.totitems, a.totqty, a.netamt,  b.name as tablename
//          FROM `$maindb` a, `tablemast` b where a.tableno = b.code $keycond $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$query = "SELECT * FROM `$maindb` where vouchno != '' $keycond $cond $sortcond $ordcond  LIMIT $rangeFrom, $rangeTo";
$result = mysqli_query($conn, $query) or die(mysqli_error($conn));

$rows = array();
$ctr = 0;
$parcel = '';
while ($r = mysqli_fetch_assoc($result)) {
    $gttable = mysqli_query($conn, "Select name from tablemast where code='$r[oldtable]'") or die(mysqli_error($conn));
    $fttable = mysqli_fetch_array($gttable);
    $gttable2 = mysqli_query($conn, "Select name from tablemast where code='$r[newtable]'") or die(mysqli_error($conn));
    $fttable2 = mysqli_fetch_array($gttable2);


    $rows[] = ['success' => true,
        'value' => $ctr,
        'vouchno' => $r['vouchno'],
        'vouchdt' => $r['vouchdt'],
        'kotno' => $r['kotno'],
        'user' => $r['user'],
        'oldtable' => $fttable['name'],
        'newtable' => $fttable2['name'],
        'remark' => $r['remark'],
        'action' => "$file?mode=edit&$keyfld=$r[$keyfld]",
    ];
    $ctr++;
}
//browse($rows); 
header("Content-type: application\json");
echo json_encode($rows);
